CREATE TABLE asm_fa_items (
    FA_ITEM_ID                NUMBER(18, 0),
    OFFERING_ID               NUMBER(18, 0)    NOT NULL,
    FA_ID                     NUMBER(18, 0)    NOT NULL,
    TASK_LIST_ITEM_ID         NUMBER(18, 0)    NOT NULL,
    DISPLAY_SEQUENCE          NUMBER           NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID             NUMBER(18, 0)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    EFFECTIVE_SCOPE_SET_ID    NUMBER(18, 0),
    FA_ITEM_ID                NUMBER(18, 0),
    OFFERING_ID               NUMBER(18, 0)    NOT NULL,
    FA_ID                     NUMBER(18, 0)    NOT NULL,
    TASK_LIST_ITEM_ID         NUMBER(18, 0)    NOT NULL,
    DISPLAY_SEQUENCE          NUMBER           NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID             NUMBER(18, 0)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    EFFECTIVE_SCOPE_SET_ID    NUMBER(18, 0),
    CONSTRAINT pk_asm_fa_items PRIMARY KEY (FA_ITEM_ID, FA_ITEM_ID)
);
